List Customer Account Ownerships
curl --request GET \
--url https://api.engine.usesophic.com/customers/{id}/account-ownerships \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/customers/{id}/account-ownerships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/customers/{id}/account-ownerships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"account": {
"bank_payment_reference": "<string>",
"base_currency": "EUR",
"can_deposit": true,
"can_place_buy_order": true,
"can_place_sell_order": true,
"can_withdraw": true,
"created_at": "2023-11-07T05:31:56Z",
"funding_currencies": [
"EUR"
],
"has_deposited": true,
"has_placed_buy_order": true,
"has_placed_sell_order": true,
"has_withdrawn": true,
"id": "<string>",
"is_primary_owner_mifid_pro": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"reference": "<string>",
"status": "active"
},
"created_at": "2023-11-07T05:31:56Z",
"customer": {
"address": {
"city": "<string>",
"country_code": "<string>",
"district_county": "<string>",
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"postal_code": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"customer_type": "individual",
"date_of_birth": "1988-04-12T00:00:00Z",
"first_name": "<string>",
"full_name": "<string>",
"id": "<string>",
"id_number": "<string>",
"last_name": "<string>",
"mifid_category": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"nationalities": [
"<string>"
],
"onboarding": "<string>",
"passport_number": "<string>",
"phone_number": "<string>",
"reference": "<string>",
"referrer_code": "<string>",
"risk_profile": "<string>",
"risk_score": "42.50",
"status": "active",
"tax_number": "<string>"
},
"id": "<string>",
"is_primary": true,
"modified_at": "2023-11-07T05:31:56Z"
}
]{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Customers
List Customer Account Ownerships
Retrieve the account ownerships for a customer.
GET
/
customers
/
{id}
/
account-ownerships
List Customer Account Ownerships
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Account owned by the customer.
Show child attributes
Show child attributes
Customer that owns the account.
- IndividualCustomer
- JointCustomer
- BusinessCustomer
Show child attributes
Show child attributes
Unique resource identifier.
Whether this is the customer's primary account ownership.